#ifndef ETH_H
#define ETH_H

/** initialize receiver */
void eth_rx_init(void);

/**
 * @brief get next received packet
 * @param[out] *pptr pointer to packet data
 * @param[out] *psz size of packet
 * @return if a packet was received
 */
int eth_rx(void **pptr, unsigned int *psz);

/**
 * @brief transmit packet
 * @param[out] ptr pointer to packet data
 * @param[out] sz size of packet
 */
void eth_tx(void *ptr, unsigned int sz);

#endif /* #ifndef ETH_H */

