#include "leds.h"

static volatile unsigned char *const leds_ptr =
  (volatile unsigned char *)0x80000000;

/**
 * @brief set state of LEDS
 * @param[in] state LED state
 */
void leds_set_state(unsigned char state)
{
  *leds_ptr = state;
}

